#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING

#include <bits/stdc++.h>

using namespace std;
using ll=long long;
struct mat {
    ll x[2][2];
};

mat operator*(const mat &lhs, const mat &rhs) {

}

int main() {
    return 0;
}
